Bug 46246 - error messages running cproto
error messages running cproto
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: cproto (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-27 11:16 EDT by John Kacur
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-13 18:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Kacur 2001-06-27 11:16:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (WinNT; U)

Description of problem:


How reproducible:
Always

Steps to Reproduce:
1. Write simply hello world program and run cproto, (see above description)
2.
3.
	

Actual Results:  [jekacur@rh71 jekacur]$ cat hello_world.c
#include <stdio.h>

int main(void)
{
	printf("Hello, World! (from main)\n");
	hello_world_func();

	exit(0);
}

hello_world_func(void)
{
	printf("Hello, World! (from hello_world_func()\n");
}

[jekacur@rh71 jekacur]$ /usr/bin/cproto hello_world.c
/* hello_world.c */
"/usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h", line 43: parse error at token '__builtin_va_list'
Expected: auto char define-name double extern inline register static ... union
"/usr/include/libio.h", line 455: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register ... typedef-name
"/usr/include/libio.h", line 457: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register ... typedef-name
"/usr/include/stdio.h", line 284: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register ... typedef-name
"/usr/include/stdio.h", line 286: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register ... typedef-name
"/usr/include/stdio.h", line 290: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register ... typedef-name
"/usr/include/stdio.h", line 299: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register ... typedef-name
int main(void);
int hello_world_func(void);
[jekacur@rh71 jekacur]$ /usr/local/bin/cproto hello_world.c
/* hello_world.c */
int main(void);
int hello_world_func(void);



Expected Results:  The above results contain the problem /usr/bin/cproto (RedHat version 4.6-7)
and the expected results /usr/local/bin/cproto (Source forge version)

Additional info:

The cproto on source forge works
Comment 1 Brock Organ 2001-07-13 16:17:16 EDT
verified these errors testing cproto-4.6-8 on cproto itself:

[root@borgan cproto-4.6]# cproto cproto.c
/* cproto.c */
"/usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h", line 43: parse 
error at token '__builtin_va_list'
Expected: auto char define-name double extern inline register static 
typedef-name union
"/usr/include/libio.h", line 457: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register static 
typedef-name
"/usr/include/libio.h", line 459: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register static 
typedef-name
"/usr/include/stdio.h", line 285: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register static 
typedef-name
"/usr/include/stdio.h", line 287: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register static 
typedef-name
"/usr/include/stdio.h", line 291: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register static 
typedef-name
"/usr/include/stdio.h", line 300: parse error at token '__gnuc_va_list'
Expected: ... auto char define-name double extern inline register static 
typedef-name
char *xmalloc(unsigned n);
char *xstrdup(char *src);
void put_error(void);
int is_path_sep(int ch);
char *trim_path_sep(char *s);
int main(int argc, char *argv[]);
[root@borgan cproto-4.6]# 

Comment 2 Bill Nottingham 2001-08-13 18:08:23 EDT
The version on sourceforge does *not* work. Can you send me the source code
that claims to fix this for you?
Comment 3 Bill Nottingham 2001-08-13 18:32:03 EDT
Will be fixed in cproto-4.6-9; I still don't see the sourceforge version working
here.

Note You need to log in before you can comment on or make changes to this bug.